
LoginRadius
==========

![Home Image](http://docs.lrcontent.com/resources/github/banner-1544x500.png)

-----------------------------------------------
LoginRadius PHP wrapper provides access to LoginRadius.

LoginRadius is a unified **Customer Identity Management** API platform that combines 30 major social platforms into a single simplified and maintenance-free API. With LoginRadius' API, websites and mobile apps can implement capture user profile data, enable social login, enable social sharing, add single sign-on and many more.

LoginRadius helps businesses boost user engagement on their web/mobile platform, manage online identities, utilize social media for marketing, capture accurate consumer data and get unique social insight into their customer base.

Please visit https://docs.loginradius.com/api/v2/deployment/sdk-libraries/php-library for more information.

PHP Library
--------------

This document contains information and examples regarding the LoginRadius PHP SDK. It provides guidance for working with social authentication, capture user profile data, enable social login, enable social sharing, single sign-on, user profile data and sending messages with a variety of social networks such as Facebook, Google, Twitter, Yahoo, LinkedIn, and more.

# LoginRadius

A demo PHP web application using the PHP SDK. The following features are included:

* Traditional Email Login
* Multi-Factor Email Login
* Passwordless Login
* Social Login
* Registration
* Email Verification
* Forgot Password
* Reset Password
* Change Password
* Set Password
* Update Account
* Multi-Factor Configuration
* Account Linking
* Custom Object Management
* Roles Management

## Configuration

1. Download the demo, src/LoginRadiusSDK from php sdk repo or clone the whole repo.
2. Upload these on server and wrapped in one directory.
3. Set your LoginRadius credentials on the client and server side:
	* Server side: `demo/ajax_handler/config.php`
	* Client side: `demo/js/options.js`
4. Demo will appear on `<Webserver URL>/<Project Name>/demo`
